Magick++ 7.1.0

Public Member Functions | List of all members
Magick::DrawableBezier Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableBezier:
[legend]
Collaboration diagram for Magick::DrawableBezier:
[legend]

## Public Member Functions
| DrawableBezier (const CoordinateList &coordinates_)
| DrawableBezier (const DrawableBezier &original_)
| ~DrawableBezier (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 446 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableBezier() [1/2]

Magick::DrawableBezier::DrawableBezier | ( | const CoordinateList & | coordinates_ | ) |

Definition at line 238 of file Drawable.cpp.

## ◆ DrawableBezier() [2/2]

Magick::DrawableBezier::DrawableBezier | ( | const DrawableBezier & | original_ | ) |

Definition at line 243 of file Drawable.cpp.

## ◆ ~DrawableBezier()

Magick::DrawableBezier::~DrawableBezier | ( | void |  | ) |

Definition at line 249 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::DrawableBase * Magick::DrawableBezier::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 271 of file Drawable.cpp.

## ◆ operator()()

void Magick::DrawableBezier::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 252 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp